Bug 159605 - Change port version: deskutils/x-tile A tiling application for X
Summary: Change port version: deskutils/x-tile A tiling application for X
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Chris Rees
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-08-08 16:40 UTC by Scrootie
Modified: 2011-08-31 12:50 UTC (History)
0 users

See Also:


Attachments
file.diff (2.36 KB, patch)
2011-08-08 16:40 UTC, Scrootie
no flags Details | Diff
x-tile-2.1.diff.txt (5.10 KB, text/plain)
2011-08-22 15:42 UTC, R.Mahmatkhanov
no flags Details
patch-x-tile (390 bytes, text/plain)
2011-08-22 17:21 UTC, R.Mahmatkhanov
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Scrootie 2011-08-08 16:40:09 UTC

Fix: Patch attached with submission follows:
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2011-08-14 11:31:00 UTC
Responsible Changed
From-To: freebsd-bugs->freebsd-ports-bugs

Fix category and synopsis.
Comment 2 R.Mahmatkhanov 2011-08-22 15:42:03 UTC
Hi, Pedro.

Please review this patch. It fixes plist issues in your patch and some 
other changes added too:

- make official mastersite first in the list
- add license
- remove PYDISTUTILS_EGGINFO. PKGNAME is sufficient.
- remove stale reinplace
- fix /usr/share paths in the code
- respect WITHOUT_NLS (little bit hacky)
- use DATADIR instead of share/x-tile

Checked build and runtime is fine.

tinderbuild log on 8.2:
http://happy-nation.by.ru/ports/tb/8.2/x-tile-2.1.log

-- 
Regards,
Ruslan

Tinderboxing kills... the drives.
Comment 3 Chris Rees freebsd_committer 2011-08-22 15:57:44 UTC
Responsible Changed
From-To: freebsd-ports-bugs->crees

I'll take it.
Comment 4 R.Mahmatkhanov 2011-08-22 17:21:43 UTC
And by the way, i just see that official distfile and distfile hosted by 
you are different. Here is the changes:
http://happy-nation.by.ru/ports/x-tile.changes.diff.txt

They only deal with path changing that i already did in the patch.
The last change is to fix ctypes warning, that can be eliminated with 
patch like this in port's files subdirectory.

-- 
Regards,
Ruslan

Tinderboxing kills... the drives.
Comment 5 R.Mahmatkhanov 2011-08-23 07:37:57 UTC
sawp@sawp.com.br wrote on 22.08.2011 23:29:

> You are correct. The only differences consist of this path
> problems. It would be better to download the tarball from official site
> and apply your patch. But I dont know how to do it just using the ports
> Makefile. I tried to put the modified files in the 'files/' directory
> and rename the files to patch-modules-cons.py and patch-x-tile
> (patch-x--tile too). It doesn't works.

It's needed to put __patches__ into files/, not the modified files. You 
can place patch-x-tile into files/ on your system and check that it 
indeed working. So, do you approve the patch? Please keep 
bug-followup@FreeBSD.org in cc:.

-- 
Regards,
Ruslan

Tinderboxing kills... the drives.
Comment 6 Scrootie 2011-08-23 14:29:38 UTC
  

The patch works fine here. The installation and uninstallation also
are working right on my system. 

It's OK for me. 

On Tue, 23 Aug 2011
10:37:57 +0400, Ruslan Mahmatkhanov wrote: 

> sawp@sawp.com.br [1]wrote
on 22.08.2011 23:29:
> 
>> You are correct. The only differences consist
of this path problems. It would be better to download the tarball from
official site and apply your patch. But I dont know how to do it just
using the ports Makefile. I tried to put the modified files in the
'files/' directory and rename the files to patch-modules-cons.py and
patch-x-tile (patch-x--tile too). It doesn't works.
> 
> It's needed to
put __patches__ into files/, not the modified files. You 
> can place
patch-x-tile into files/ on your system and check that it 
> indeed
working. So, do you approve the patch? Please keep 
>
bug-followup@FreeBSD.org [2] in cc:.

  

Links:
------
[1]
mailto:sawp@sawp.com.br
[2] mailto:bug-followup@FreeBSD.org
Comment 7 Chris Rees freebsd_committer 2011-08-29 11:48:40 UTC
Hi Ruslan,

Sorry I've just rediscovered this -- I didn't parse Pedro's approval 
properly because the message was a little munged.

Your server hosting the patch I need to use appears to be down... Please 
would you investigate?

Chris

-- 
This message has been scanned for viruses and
dangerous content by MailScanner, and is
believed to be clean.
Comment 8 R.Mahmatkhanov 2011-08-29 11:58:16 UTC
Hi Chris

Chris Rees wrote on 29.08.2011 14:48:
> Hi Ruslan,
>
> Sorry I've just rediscovered this -- I didn't parse Pedro's approval
> properly because the message was a little munged.
>
> Your server hosting the patch I need to use appears to be down... Please
> would you investigate?
>
> Chris

Sorry, can't do anything with it - it's a free hosting :(.
Anyway the patch that contains fixes and actually updates x-tile is there:
http://www.freebsd.org/cgi/query-pr.cgi?pr=ports%2F159605&getpatch=2

And patch that will fix warning, is there (it should be placed to files/ 
subdir):
http://www.freebsd.org/cgi/query-pr.cgi?pr=ports%2F159605&getpatch=3

The diff that is on happy-nation.by.ru - it just differences between 
official tarball and Pedro's distributed tarball, and all the changes is 
in path handling (usr/share vs /usr/local/share) that i already do with 
reinplaces in Makefile.

-- 
Regards,
Ruslan

Tinderboxing kills... the drives.
Comment 9 Chris Rees freebsd_committer 2011-08-29 12:29:13 UTC
State Changed
From-To: open->analyzed

Taken for Tinderbox run.
Comment 10 dfilter service freebsd_committer 2011-08-31 12:43:17 UTC
crees       2011-08-31 11:43:08 UTC

  FreeBSD ports repository

  Modified files:
    deskutils/x-tile     Makefile distinfo pkg-plist 
  Added files:
    deskutils/x-tile/files patch-x-tile 
  Log:
  PR:             ports/159605
  Submitted by:   Pedro Garcia Freitas <sawp@sawp.com.br> (maintainer), Ruslan Mahmatkhanov <cvs-src@yandex.ru>
  
  Revision  Changes    Path
  1.2       +19 -4     ports/deskutils/x-tile/Makefile
  1.2       +2 -2      ports/deskutils/x-tile/distinfo
  1.1       +15 -0     ports/deskutils/x-tile/files/patch-x-tile (new)
  1.2       +43 -44    ports/deskutils/x-tile/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 11 Chris Rees freebsd_committer 2011-08-31 12:45:47 UTC
State Changed
From-To: analyzed->closed

Committed. Thanks!